# Class SelectionEvent

SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.SelectionEvent

Direct Known Subclasses:
  `ExpandEvent, TreeEvent`

public class SelectionEvent extends TypedEvent
Instances of this class are sent as a result of widgets being selected.

Note: The fields that are filled in depend on the widget.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

See Also:
  - `SelectionListener`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`detail`
Extra detail information about the selection, depending on the widget.
`boolean`
`doit`
A flag indicating whether the operation should be allowed.
`int`
`height`
The height of selected area.
`Widget`
`item`
The item that was selected.
`int`
`stateMask`
The state of the keyboard modifier keys at the time the event was generated.
`String`
`text`
The text of the hyperlink that was selected.
`int`
`width`
The width of selected area.
`int`
`x`
The x location of the selected area.
`int`
`y`
The y location of selected area.

### Fields inherited from class TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`SelectionEvent(Event e)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

## Field Details

### x

public int x
The x location of the selected area.

### y

public int y
The y location of selected area.

### width

public int width
The width of selected area.

### height

public int height
The height of selected area.

### stateMask

public int stateMask
The state of the keyboard modifier keys at the time the event was generated.

Since:
  1.3

### text

public String text
The text of the hyperlink that was selected. This will be either the text of the hyperlink or the value of its HREF, if one was specified. If the hyperlink was embedded in a widget using `RWT.MARKUP_ENABLED`, the client (especially Internet Explorer) may re-write the value to be an absolute URL.

See Also:
  - `Link.setText(String)`
  - `RWT.HYPERLINK`

### doit

public boolean doit
A flag indicating whether the operation should be allowed. Setting this field to `false` will cancel the operation, depending on the widget.

### item

public Widget item
The item that was selected.

### detail

public int detail
Extra detail information about the selection, depending on the widget.

Table and Tree

- `SWT.CHECK`
- `RWT.HYPERLINK`

CoolItem and ToolItem

- `SWT.ARROW`

- ## Constructor Details

  ### SelectionEvent

  public SelectionEvent(Event e)
  Constructs a new instance of this class based on the information in the given untyped event.
  Parameters:
    `e` - the untyped event containing the information

- ## Method Details

  ### toString

  public String toString()
  Overrides:
    `toString` in class `TypedEvent`